Subject: Re: [CDNi] next steps with draft-ietf-cdni-request-routing-extensions-03.txt

From: Kevin Ma <[email-masked]>
Date: Wed, 7 Aug 2019 21:05:49 -0400

Hi Ori,

  IDnits notes one issue: non-RFC2606-compliant FQDNs

https://www6.ietf.org/tools/idnits?url=https://www.ietf.org/archive/id/draft-ietf-cdni-request-routing-extensions-04.txt

  I'm guessing it's: service123.ucdn.example.dcdn.com, which doesn't end in
.example.com ?

Do you think we can fix that?

thanx!

-- Kevin J. Ma

On Wed, Jul 24, 2019 at 5:26 AM Ori Finkelman (IETF) <
[email-masked]> wrote:

> Thanks Kevin.
> I will wait for group comments and will publish an updated version with
> the comments you have sent here.
>
> Best regards,
> Ori
>
> On Wed, Jul 24, 2019 at 8:38 AM Kevin Ma <[email-masked]>
> wrote:
>
>> Hi Sanjay,
>>
>>   The updates look good.  Two final comments:
>>   - section 2.1: "non empty" -> "non-empty"
>>   - sections 6/7: if there are no acknowledgements or contributors, those
>> two sections can just be removed.
>>
>>   Those comments notwithstanding, I think we can start the WGLC.
>>
>> thanx..
>>
>> --  Kevin J. Ma
>>
>> On Sun, Jun 30, 2019 at 9:20 AM <sanjay.mishra=
>> [email-masked]> wrote:
>>
>>> Since there is no CDNI meeting on the agenda, I wanted to ask if chairs
>>> have any additional questions or questions in the mailing list towards
>>> advancing draft-ietf-cdni-request-routing-extensions-03.txt to WGLC?
>>>
>>>
>>>
>>> Thanks
>>>
>>> Sanjay
>>>
>>>
>>> _______________________________________________
>>> CDNi mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/cdni
>>>
>> _______________________________________________
>> CDNi mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/cdni
>>
>

---

From: "Ori Finkelman (IETF)" <[email-masked]>
Date: Thu, 8 Aug 2019 20:54:18 +0300

Hi Kevin,
I am aware of that, the thing is that for this example we need two separate
domains, one of the uCDN and the other of the dCDN, putting them both under
the same domain example.com defeats the purpose.

Maybe we can put them as ucdn.example.com and dcdn.example.net ?

Thanks,
Ori

On Thu, Aug 8, 2019 at 4:06 AM Kevin Ma <[email-masked]> wrote:

>   I'm guessing it's: service123.ucdn.example.dcdn.com, which doesn't end
> in .example.com ?
>
>>>   - sections 6/7: if there are no acknowledgements or contributors,
>>> those two sections can just be removed.
>>>

---

From: "Kevin J. Ma" <[email-masked]>
Date: Thu, 8 Aug 2019 14:55:43 -0400

Hi Ori,

  Understood.  I think for the purposes of this document .ucdn.example.com and .dcdn.example.com should be ok and make things simpler with not having to explain nits.

thanx!

--  Kevin J. Ma

Sent from my iPhone

> On Aug 8, 2019, at 1:54 PM, Ori Finkelman (IETF) <[email-masked]> wrote:
> 
> Hi Kevin,
> I am aware of that, the thing is that for this example we need two separate domains, one of the uCDN and the other of the dCDN, putting them both under the same domain example.com defeats the purpose.
> 
>>   I'm guessing it's: service123.ucdn.example.dcdn.com, which doesn't end in .example.com ?
>> 
>>> On Wed, Jul 24, 2019 at 5:26 AM Ori Finkelman (IETF) <[email-masked]> wrote:
>>> Thanks Kevin.
>>> I will wait for group comments and will publish an updated version with the comments you have sent here.
>>> 
>>> Best regards,
>>> Ori
>>> 
>>>> On Wed, Jul 24, 2019 at 8:38 AM Kevin Ma <[email-masked]> wrote:
>>>> Hi Sanjay,
>>>> 
>>>>   - sections 6/7: if there are no acknowledgements or contributors, those two sections can just be removed.
>>>> 
>>>>> On Sun, Jun 30, 2019 at 9:20 AM <sanjay.mishra=[email-masked]> wrote:
>>>>> Since there is no CDNI meeting on the agenda, I wanted to ask if chairs have any additional questions or questions in the mailing list towards advancing draft-ietf-cdni-request-routing-extensions-03.txt to WGLC?
>>>>> 
>>>>>  
>>>>> 
>>>>> Thanks
>>>>> 
>>>>> Sanjay
>>>>> 
>>>>>  
>>>>>

---

From: "Ori Finkelman (IETF)" <[email-masked]>
Date: Thu, 8 Aug 2019 22:04:50 +0300

ok, will change accordingly and resubmit.

Thanks,
Ori

On Thu, Aug 8, 2019 at 9:55 PM Kevin J. Ma <[email-masked]>
wrote:

> Hi Ori,
>
>   Understood.  I think for the purposes of this document .ucdn.example.com
> and .dcdn.example.com should be ok and make things simpler with not
> having to explain nits.
>
> thanx!
>
> --  Kevin J. Ma
>
> Sent from my iPhone
>
> I am aware of that, the thing is that for this example we need two
> separate domains, one of the uCDN and the other of the dCDN, putting them
> both under the same domain example.com defeats the purpose.
>
>>>>> Since there is no CDNI meeting on the agenda, I wanted to ask if
>>>>> chairs have any additional questions or questions in the mailing list
>>>>> towards advancing draft-ietf-cdni-request-routing-extensions-03.txt to WGLC?
>>>>>
>>>>>
>>>>>
>>>>> Thanks
>>>>>
>>>>> Sanjay
>>>>>
>>>>>

---

From: "Ori Finkelman (IETF)" <[email-masked]>
Date: Fri, 9 Aug 2019 10:46:40 +0300

Fixed, submitted version 05.
Thanks,
Ori

On Thu, Aug 8, 2019 at 10:04 PM Ori Finkelman (IETF) <
[email-masked]> wrote:

>>   Understood.  I think for the purposes of this document .
>> ucdn.example.com and .dcdn.example.com should be ok and make things
>> simpler with not having to explain nits.
>>
>> thanx!
>>
>> --  Kevin J. Ma
>>
>> Sent from my iPhone
>>

---

From: Kevin Ma <[email-masked]>
Date: Wed, 14 Aug 2019 14:41:53 -0400

Hi Ori,

  I completed the shepherd writeup and have submitted the draft to the IESG.

thanx!

--  Kevin J. Ma

---

From: "Ori Finkelman (IETF)" <[email-masked]>
Date: Thu, 15 Aug 2019 00:21:22 +0300

Thanks Kevin,

Best regards,
Ori

---

From: [email-masked]
Date: Thu, 15 Aug 2019 02:53:37 +0000

Thank you Kevin, Your guidance is truly appreciated.

Thanks
Sanjay

From: Kevin Ma [mailto:[email-masked]]
Sent: Wednesday, August 14, 2019 2:42 PM
To: Ori Finkelman (IETF) <[email-masked]>
Cc: Mishra, Sanjay <[email-masked]>; [email-masked]
Subject: [E] Re: [CDNi] next steps with draft-ietf-cdni-request-routing-extensions-03.txt

Hi Ori,

thanx!

--  Kevin J. Ma

On Fri, Aug 9, 2019 at 3:46 AM Ori Finkelman (IETF) <[email-masked]<mailto:[email-masked]>> wrote:
Fixed, submitted version 05.
Thanks,
Ori

On Thu, Aug 8, 2019 at 10:04 PM Ori Finkelman (IETF) <[email-masked]<mailto:[email-masked]>> wrote:
ok, will change accordingly and resubmit.

Thanks,
Ori

On Thu, Aug 8, 2019 at 9:55 PM Kevin J. Ma <[email-masked]<mailto:[email-masked]>> wrote:
Hi Ori,

  Understood.  I think for the purposes of this document .ucdn.example.com<https://urldefense.proofpoint.com/v2/url?u=http-3A__ucdn.example.com&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=7RnD30s0nL3LGL9UMGnzIz3UgcE8uYKQalU1oeRKmu4&s=xOW8VzCEPYpEyal_TWQVWU_psI8zysE6lS84RZc3tTo&e=> and .dcdn.example.com<https://urldefense.proofpoint.com/v2/url?u=http-3A__dcdn.example.com&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=7RnD30s0nL3LGL9UMGnzIz3UgcE8uYKQalU1oeRKmu4&s=yzVB3b8XXeZy6z_l2Gu5D4Df-bvCpcNhdfkPimDxoBk&e=> should be ok and make things simpler with not having to explain nits.

thanx!

--  Kevin J. Ma
Sent from my iPhone

On Aug 8, 2019, at 1:54 PM, Ori Finkelman (IETF) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Kevin,
I am aware of that, the thing is that for this example we need two separate domains, one of the uCDN and the other of the dCDN, putting them both under the same domain example.com<https://urldefense.proofpoint.com/v2/url?u=http-3A__example.com&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=7RnD30s0nL3LGL9UMGnzIz3UgcE8uYKQalU1oeRKmu4&s=8J4L7w2B9q1aF2wj_lNcGT-ysoN9xr2GpuWGqfHnnOo&e=> defeats the purpose.

Maybe we can put them as ucdn.example.com<https://urldefense.proofpoint.com/v2/url?u=http-3A__ucdn.example.com&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=7RnD30s0nL3LGL9UMGnzIz3UgcE8uYKQalU1oeRKmu4&s=xOW8VzCEPYpEyal_TWQVWU_psI8zysE6lS84RZc3tTo&e=> and dcdn.example.net<https://urldefense.proofpoint.com/v2/url?u=http-3A__dcdn.example.net&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=7RnD30s0nL3LGL9UMGnzIz3UgcE8uYKQalU1oeRKmu4&s=fLbp3Gr3Wog3PzTD2XsPOwpduoU5pulN6gym9qCzkRI&e=> ?

Thanks,
Ori

On Thu, Aug 8, 2019 at 4:06 AM Kevin Ma <[email-masked]<mailto:[email-masked]>> wrote:
Hi Ori,

  IDnits notes one issue: non-RFC2606-compliant FQDNs
  https://www6.ietf.org/tools/idnits?url=https://www.ietf.org/archive/id/draft-ietf-cdni-request-routing-extensions-04.txt<https://urldefense.proofpoint.com/v2/url?u=https-3A__www6.ietf.org_tools_idnits-3Furl-3Dhttps-3A__www.ietf.org_archive_id_draft-2Dietf-2Dcdni-2Drequest-2Drouting-2Dextensions-2D04.txt&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=7RnD30s0nL3LGL9UMGnzIz3UgcE8uYKQalU1oeRKmu4&s=ljF2rIJsQpiRbrPt6w7fXLwg2Bi3lmBgZivXvgFnt2A&e=>

  I'm guessing it's: service123.ucdn.example.dcdn.com<https://urldefense.proofpoint.com/v2/url?u=http-3A__service123.ucdn.example.dcdn.com&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=7RnD30s0nL3LGL9UMGnzIz3UgcE8uYKQalU1oeRKmu4&s=W7An7qy2pi9IrndehUuMI5FgmbUmXvy3-yfWnCXzGms&e=>, which doesn't end in .example.com<https://urldefense.proofpoint.com/v2/url?u=http-3A__example.com&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=7RnD30s0nL3LGL9UMGnzIz3UgcE8uYKQalU1oeRKmu4&s=8J4L7w2B9q1aF2wj_lNcGT-ysoN9xr2GpuWGqfHnnOo&e=> ?

thanx!

-- Kevin J. Ma

On Wed, Jul 24, 2019 at 5:26 AM Ori Finkelman (IETF) <[email-masked]<mailto:[email-masked]>> wrote:
Thanks Kevin.
I will wait for group comments and will publish an updated version with the comments you have sent here.

Best regards,
Ori

On Wed, Jul 24, 2019 at 8:38 AM Kevin Ma <[email-masked]<mailto:[email-masked]>> wrote:
Hi Sanjay,

thanx..

--  Kevin J. Ma

On Sun, Jun 30, 2019 at 9:20 AM <sanjay..mishra=[email-masked]<mailto:[email-masked]>> wrote:
Since there is no CDNI meeting on the agenda, I wanted to ask if chairs have any additional questions or questions in the mailing list towards advancing draft-ietf-cdni-request-routing-extensions-03.txt to WGLC?

Thanks
Sanjay

_______________________________________________
CDNi mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/cdni<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_cdni&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=7RnD30s0nL3LGL9UMGnzIz3UgcE8uYKQalU1oeRKmu4&s=2a92GQd1Yp0D8zEiGJw6oIAn6IP5whT1qo9lwyyRr8E&e=>
_______________________________________________
CDNi mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/cdni<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_cdni&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=7RnD30s0nL3LGL9UMGnzIz3UgcE8uYKQalU1oeRKmu4&s=2a92GQd1Yp0D8zEiGJw6oIAn6IP5whT1qo9lwyyRr8E&e=>